# Note that this is NOT a relocatable package
# $Id: ede.spec.in,v 1.1.1.1 2004/01/20 17:11:05 karijes Exp $
%define name		ede
%define version      	1.0.2
%define release		1mdk
%define localstatedir   /var/lib
%define pakdir		%{name}-%{version}
%define cvsversion      1


Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.bz2
Patch:		ede-exclude-unused-progs.patch.bz2
Patch2:		ede-mandrake-menufixes.patch.bz2

Summary:	The core programs for the Equinox Desktop Environment
URL: 		http://ede.sourceforge.net/
License: 	GPL
Group: 		Graphical desktop/Other

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	efltk-devel
Prereq: 	/sbin/install-info
Requires: 	libefltk >= 2.0.2

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, sound volume control, 
color configuration, panel configuration, menu editor, icons configuration, 
tips, time/date and timezone configuration, fast file search tool and of 
course window manager that manages your windows with config utility.

%prep
%setup -q -n %name
%patch -p1
%patch2 -p1

%build

%if %cvsversion
autoconf
%endif

%configure

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

# Why is this needed?
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_datadir}

%makeinstall

# Mandrake specific stuff - add to wmsessions
mkdir -p %buildroot%_sysconfdir/X11/wmsession.d/
cat << EOF >> %buildroot%_sysconfdir/X11/wmsession.d/08EDE
NAME=EDE
ICON=ede-wmsession.xpm
EXEC=/usr/bin/startede
DESC=Equinox Lightweight desktop environment
SCRIPT:
exec /usr/bin/startede
EOF


# strip binaries... hopefully this will soon be a part of buildsystem
#strip %buildroot%{_bindir}/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/ede/doc/*
%config(noreplace) %_sysconfdir/X11/wmsession.d/08EDE
# This file isn't needed IMO
# %_prefix/share/apps/kdm/sessions/08EDE.desktop
%{_bindir}/*
#%{_sysconfdir}/
# locale is not very updated so it's better not to ship for now
#%{_datadir}/locale/*/*/*
%{_datadir}/ede/icons/*
%{_datadir}/ede/programs/*
%{_datadir}/ede/programs/.directory
%{_datadir}/ede/.ede/*


%changelog
* Tue Mar 01 2005 Lenny Cartier <lenny@mandrakesoft.coml> 1.0.2-1mdk
- from Vedran Ljubovic <vljubovic@smartnet.ba> : 
	- new build system in EDE
	- Better distro-independance
	- Patches merged upstream

*  Fri Dec 17 2004 Vedran Ljubovic <vljubovic@smartnet.ba> 1.0.1.1-2
- Patch for GCC 3.4 and a possible typo
- Fix for prefix to make (code uses it and so a bunch of stuff doesn't work)
- Remove locale (doesn't seem to get made?)
- Some mandrake specific stuff

*  Mon Jan 01 2004 nobody <nobody@nobody> 1.0.1.1-1
- Initial autogenerated release
